Function
save
This functions saves a compressed suffix array to disk.
save(compressedSA, fileName [, openMode])
Include Headers
seqan/index.h
Parameters

compressedSA | The compressed suffix array to be saved. Types: CompressedSA
fileName | C-style character string containing the file name.
openMode | The combination of flags defining how the file should be opened. Default: OPEN_RDWR | OPEN_CREATE | OPEN_APPEND Remarks: To open a file read-only, write-only or to read and write use OPEN_RDONLY, OPEN_WRONLY, or OPEN_RDWR. To create or overwrite a file add OPEN_CREATE. To append a file if existing add OPEN_APPEND. To circumvent problems, files are always opened in binary mode.

Return Values
A bool which is true on success.
Member of
CompressedSA
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57